Last Comment Bug 180823 - remove QA and Debug menus and prefs panel from 1.2 branch
: remove QA and Debug menus and prefs panel from 1.2 branch
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Daniel (Leaf) Nunes
: Jon Granrose
:
Mentors:
Depends on:
Blocks: 1.2
  Show dependency treegraph
 
Reported: 2002-11-18 16:40 PST by Asa Dotzler [:asa]
Modified: 2004-11-22 17:25 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
remove debug menus/prefs, remove builid from titlebar (14.12 KB, patch)
2002-11-19 17:29 PST, Daniel (Leaf) Nunes
jbetak: review+
blizzard: superreview+
Details | Diff | Splinter Review

Description User image Asa Dotzler [:asa] 2002-11-18 16:40:37 PST
we need to clean up the build for the final release. Bare minimum remove the
Debug and QA menus. If possible also the debug preferences panel. If there's
time it would also be nice to remove the tinderbox sidebar panel and the lxr and
bugzilla search plugins.
Comment 1 User image Asa Dotzler [:asa] 2002-11-18 16:42:56 PST
note that removing the search plugins should be pretty easy and would help us
significantly with bugzilla perf (we're getting a lot of "not intended for
bugzilla" searches lately and myk's pointing the finger at mozilla milestone
users somehow having it set as their default search engine).
Comment 2 User image eberry 2002-11-18 23:54:00 PST
The titlebar build ID is another thing to consider removing
Comment 3 User image Malcolm Rowe 2002-11-19 02:18:04 PST
Note: Bug 163246 was the equivalent bug for the 1.1 milestone release.
Comment 4 User image Peter Lairo 2002-11-19 02:48:26 PST
Shouldn't milestone "users" be testing and debugging Mozilla also? WONTFIX?
Comment 5 User image Michel Joly de Lotbinière 2002-11-19 12:47:32 PST
I wonder how many users there are such as I, who use the Mozilla milestone
releases as their default WWW/email clients? I know this flies in the face of
mozilla.org's advice that these are experimental releases, but Netscape's
commercial releases just bring too much unwanted nonsense with them.

For this group, who are not actively testing or making fixes to the trunk
builds, the QA & Debug menus, the tinderbox sidebar, and the lxr & bugzilla
plugins are not really relevant. I simply bookmark the entry pages for the
various Mozilla web tools and I add bookmarks to individual bugzilla pages for
any problems directly affecting the milestone.
Comment 6 User image Daniel (Leaf) Nunes 2002-11-19 13:34:33 PST
we've removed these from "final" releases in the past (1.0, 1.1) for the reasons
Michel Joly de Lotbinière pointed out.
Comment 7 User image Daniel (Leaf) Nunes 2002-11-19 17:29:04 PST
Created attachment 106864 [details] [diff] [review]
remove debug menus/prefs, remove builid from titlebar


I think this is what we want.
Comment 8 User image Christopher Blizzard (:blizzard) 2002-11-20 06:22:10 PST
Comment on attachment 106864 [details] [diff] [review]
remove debug menus/prefs, remove builid from titlebar

sr=blizzard
Comment 9 User image jbetak@netscape.com (away - not reading bugmail) 2002-11-20 12:54:58 PST
Comment on attachment 106864 [details] [diff] [review]
remove debug menus/prefs, remove builid from titlebar

Looks great!

The only nit I'd see in my microscope is about consistency; I'd have either
deleted or commented out those entries :-)
Comment 10 User image Daniel (Leaf) Nunes 2002-11-20 16:50:04 PST
i blame blizzard. I'll checkin presently.
Comment 11 User image Daniel (Leaf) Nunes 2002-11-21 07:07:14 PST
should be verifiable in any 1.2 build made after 2002/11/20 17:00 PST
Comment 12 User image Michael Lefevre 2002-11-21 07:26:19 PST
what about the sidebar/search changes Asa mentioned in comment 1? or have those
been decided against? anything that helps the performance of bugzilla and lxr
has got to be good if you ask me...
Comment 13 User image Jon Granrose 2002-11-21 15:06:09 PST
verified 20021121 on win32.  no qa or debug menus and no buildid in titlebar

Note You need to log in before you can comment on or make changes to this bug.